%define srcname spatialindex
%define major 3
%define libnamedev %mklibname %{srcname} -d
%define libname %mklibname %{srcname} %{major}

Name:           lib%{srcname}
Version:        1.8.0
Release:        %mkrel 1
Summary:        Spatial indexing libraries
Group:          System/Libraries
License:        MIT
Url:            http://libspatialindex.github.com/

Source0:        http://download.osgeo.org/libspatialindex/%{srcname}-src-%{version}.tar.gz
Patch0:         spatialindex-1.8.0-fc-soname.patch
BuildRequires:	cmake

%description
Spatial indexing libraries.

%package -n %{libname}
Summary:        Spatial indexing libraries
Group:          System/Libraries
%description -n %{libname}
Spatial indexing libraries.
The purpose of this library is to provide:
- An extensible framework that will support robust spatial indexing methods.
- Support for sophisticated spatial queries. Range, point location, nearest
  neighbor and k-nearest neighbor as well as parametric queries (defined by
  spatial constraints) should be easy to deploy and run.
- Easy to use interfaces for inserting, deleting and updating information.
- Wide variety of customization capabilities. Basic index and storage
  characteristics like the page size, node capacity, minimum fan-out,
  splitting algorithm, etc. should be easy to customize.
- Index persistence. Internal memory and external memory structures should be
  supported. Clustered and non-clustered indices should be easy to be
persisted.

%package -n %{libnamedev}
Summary:        Development files for %{name}
Group:          Development/Databases
Requires:       %{libname} = %{version}-%{release}
Provides:       %{srcname}-devel = %{version}-%{release}

%description -n %{libnamedev}
Development files needed to build software using %{name}

%prep
%setup -q -n %{srcname}-src-%{version}
# patch stolen from Fedora
%patch0 -p1

%build
%cmake
%make -j1

%install
%makeinstall_std -C build

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{libnamedev}
%{_includedir}/spatialindex*
%{_libdir}/*.so


%changelog

* Fri Mar 22 2013 fwang <fwang> 1.8.0-1.mga3
+ Revision: 404451
- br cmake
- lock libmajor

  + obgr_seneca <obgr_seneca>
    - imported package libspatialindex

